---
image: debian:trixie

variables:
  DEPENDENCIES: build-essential
                git
                gir1.2-glib-2.0
                gir1.2-umockdev-1.0
                gtk-doc-tools
                libglib2.0-dev
                libgtk-3-dev
                libgudev-1.0-dev
                libpolkit-gobject-1-dev
                locales-all
                meson
                python3-dbusmock
                python3-psutil
                systemd-dev
                umockdev

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
    - if: $CI_PIPELINE_SOURCE == 'push'

build-debian-trixie:
  before_script:
    - apt-get update
    - apt-get -y install eatmydata
    - eatmydata apt-get -y install $DEPENDENCIES
  script:
    - meson -Dtests=true -Dgtk_doc=true -Dgtk-tests=true _build
    - meson compile --verbose -C _build
    - meson install -C _build
    - meson dist -C _build
    - meson test --verbose -C _build
  artifacts:
    when: always
    paths:
      - "${CI_PROJECT_DIR}/_build/meson-logs"
      - "${CI_PROJECT_DIR}/_build/meson-dist"
      - "${CI_PROJECT_DIR}/_build/docs/html/"

pages:
  needs:
    - build-debian-trixie
  script:
    - find _build/docs/html/
    - mv _build/docs/html public
  artifacts:
    paths:
      - public
  only:
    - master
